CREATE TABLE mnt_wo_material_on_hold (
    MATERIAL_ON_HOLD_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    MNT_TRANSACTION_TYPE_CODE         VARCHAR2(120) ,
    ORGANIZATION_ID                   NUMBER(18, 0) ,
    WORK_CENTER_ID                    NUMBER(18, 0) ,
    WORK_ORDER_ID                     NUMBER(18, 0) ,
    WO_OPERATION_ID                   NUMBER(18, 0) ,
    WO_OPERATION_MATERIAL_ID          NUMBER(18, 0) ,
    INVENTORY_ITEM_ID                 NUMBER(18, 0) ,
    ITEM_REVISION                     VARCHAR2(72)  ,
    BASIS_TYPE                        VARCHAR2(120) ,
    TRANSACTION_QUANTITY              NUMBER        ,
    TRANSACTION_UOM_CODE              VARCHAR2(12)  ,
    SECONDARY_TRANSACTION_QUANTITY    NUMBER        ,
    SECONDARY_UOM_CODE                VARCHAR2(12)  ,
    SUBINVENTORY_CODE                 VARCHAR2(72)  ,
    LOCATOR_ID                        NUMBER        ,
    WORK_METHOD_ID                    NUMBER(18, 0) ,
    ASSET_ID                          NUMBER(18, 0) ,
    SERIAL_NUMBER                     VARCHAR2(320) ,
    LOT_NUMBER                        VARCHAR2(320) ,
    PARENT_ASSET_ID                   NUMBER(18, 0) ,
    INV_TRANSACTION_ID                NUMBER(18, 0) ,
    CSE_TRANSACTION_ID                NUMBER(18, 0) ,
    USE_COMMON_INVENTORY_FLAG         VARCHAR2(4)   ,
    PROJECT_ID                        NUMBER(18, 0) ,
    TASK_ID                           NUMBER(18, 0) ,
    COUNTRY_OF_ORIGIN_CODE            VARCHAR2(8)   ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    MATERIAL_ON_HOLD_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    MNT_TRANSACTION_TYPE_CODE         VARCHAR2(120) ,
    ORGANIZATION_ID                   NUMBER(18, 0) ,
    WORK_CENTER_ID                    NUMBER(18, 0) ,
    WORK_ORDER_ID                     NUMBER(18, 0) ,
    WO_OPERATION_ID                   NUMBER(18, 0) ,
    WO_OPERATION_MATERIAL_ID          NUMBER(18, 0) ,
    INVENTORY_ITEM_ID                 NUMBER(18, 0) ,
    ITEM_REVISION                     VARCHAR2(72)  ,
    BASIS_TYPE                        VARCHAR2(120) ,
    TRANSACTION_QUANTITY              NUMBER        ,
    TRANSACTION_UOM_CODE              VARCHAR2(12)  ,
    SECONDARY_TRANSACTION_QUANTITY    NUMBER        ,
    SECONDARY_UOM_CODE                VARCHAR2(12)  ,
    SUBINVENTORY_CODE                 VARCHAR2(72)  ,
    LOCATOR_ID                        NUMBER        ,
    WORK_METHOD_ID                    NUMBER(18, 0) ,
    ASSET_ID                          NUMBER(18, 0) ,
    SERIAL_NUMBER                     VARCHAR2(320) ,
    LOT_NUMBER                        VARCHAR2(320) ,
    PARENT_ASSET_ID                   NUMBER(18, 0) ,
    INV_TRANSACTION_ID                NUMBER(18, 0) ,
    CSE_TRANSACTION_ID                NUMBER(18, 0) ,
    USE_COMMON_INVENTORY_FLAG         VARCHAR2(4)   ,
    PROJECT_ID                        NUMBER(18, 0) ,
    TASK_ID                           NUMBER(18, 0) ,
    COUNTRY_OF_ORIGIN_CODE            VARCHAR2(8)   ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    CONSTRAINT pk_mnt_wo_material_on_hold PRIMARY KEY (MATERIAL_ON_HOLD_ID, MATERIAL_ON_HOLD_ID)
);
